from Martel.formats.MDL_10_1996 import *

import support

test_list = support.Storage()
add_test = test_list.add_test
add_test_lines = test_list.add_test_lines

# Examples come from Accord 3.4 Examples/Ctable

add_test("counts_line", counts_line, """\
  5  4  0  0  0  0  0  0  0  0  1 V2000
""")

add_test_lines("atom_line", atom_line, """\
   -8.5645    1.3065    0.0000 C  
   -0.5037    0.4583    0.0000 O   0  5
""")

add_test_lines("bond_line", bond_line, """\
  1  4  1
  2  4  1
 19  4  1  6
""")

add_test_lines("charge", charge, """\
M  CHG  1   1   2
M  CHG  4  22  -1  47   1  69  -1 114   1
M  CHG  2   2  -1   4   1
""")

add_test("Mol format", molfile_format, """\

  Accord  0625971532

  7  6  0  0  0  0  0  0  0  0  2 V2000
    2.6583   -1.4125    0.0000 C  
    2.6583   -2.1667    0.0000 C  
    3.3079   -2.5417    0.0000 N   0  5
    3.9615   -2.1667    0.0000 C  
    3.9615   -1.4125    0.0000 C  
    3.3079   -1.0333    0.0000 O  
    3.3083   -3.5292    0.0000 Li  0  3
  1  6  1
  1  2  1
  2  3  1
  3  4  1
  4  5  1
  5  6  1
M  CHG  2   3  -1   7   1
M  END
""")


def test():
    test_list.test()

def dump():
    test_list.dump()
       

    
